> ## Documentation Index
> Fetch the complete documentation index at: https://emiloju.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add movie to watchlist

> This endpoint is used to add a movie to user's watchlist



## OpenAPI

````yaml api-reference/openapi.yaml post /3/account/{account_id}/watchlist
openapi: 3.0.3
info:
  title: Endpoints
  description: This section contains all the endpoints used in the documentation.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: This section contains all endpoints used for authentication
  - name: Accounts
    description: This section contains account-specific endpoints.
  - name: Favorites
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows, episodes to favorites, and also to get a list of
      favorites for the account.
  - name: Movies
    description: >-
      This section contains an endpoint to add a movie to favorites, and another
      to get a list of favorite movies for a TMDB account.
  - name: TV shows
    description: >-
      This section contains an endpoint to get the favorite TV shows for an
      account.
  - name: Watchlist
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows to watchlist, and also to get a list of watchlist for the
      account.
  - name: Movies1
    description: >-
      This section contains an endpoint that allows a TMDB account to add a
      movie to watchlist, and another to get the movies in a watchlist.
  - name: TV shows1
    description: >-
      This section contains an endpoint used to get TV shows in an account's
      watchlist.
  - name: Ratings
    description: >-
      This section contains endpoints used to get all movies, TV Shows, and
      episodes rated by a TMDB account.
  - name: Movies12
    description: >-
      This section contains an endpoint used to get a list of movies rated by a
      TMDB account.
  - name: TV shows12
    description: >-
      This section contains an endpoint used to get a list of TV shows rated by
      a TMDB account.
  - name: Episodes
    description: >-
      This section contains an endpoint used to get a list of episodes rated by
      a TMDB account.
  - name: Lists
    description: Endpoints for a TMDB account lists.
  - name: Guest sessions
    description: This section contains all endpoints accessible by a guest session.
  - name: Movies
    description: For movies.
  - name: TV episodes
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      episodes.
  - name: TV seasons
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      seasons.
  - name: TV series
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      series.
  - name: TV series lists
    description: This section contains all endpoints used to list TV series.
  - name: TV episode groups
    description: This section contains an endpoint used to retrieve data for TV episodes.
  - name: Watch providers
    description: Get available regions.
  - name: People
    description: About people lists.
  - name: Companies
    description: >-
      This section contains all endpoints used to retrieve data for supported
      companies.
  - name: Discover
    description: This section contains all endpoints used to discover movies and TV shows.
  - name: Recent changes
    description: >-
      This section contains all endpoints used to get recent changes in the TMDB
      database.
  - name: Credit
    description: This section contains an endpoint used to retrieve movie credits.
  - name: Certifications
    description: >-
      This section contains all endpoints used to get certification for movies
      and TV shows.
  - name: Collections
    description: This section contains all endpoints used to retrieve data for collections
  - name: Configuration
    description: >-
      This section contains all endpoints used to retrieve data on TMDB's
      configurations.
  - name: Find
    description: >-
      This section contains an endpoint used to search the TMDB database by
      External ID.
  - name: Genres
    description: This section contains endpoints related to genres.
  - name: Keywords
    description: >-
      This section contains an endpoint used to get keywords in the database by
      an ID.
  - name: Movie lists
    description: >-
      This section contains all endpoints used to retrieve movies by multiple
      search filters.
  - name: Networks
    description: For network endpoints.
  - name: Reviews
    description: For reviews endpoints.
  - name: Search
    description: For search endpoints.
  - name: Trending
    description: For trending videos.
paths:
  /3/account/{account_id}/watchlist:
    post:
      tags:
        - Accounts
        - Watchlist
        - Movies1
      summary: Add movie to watchlist
      description: This endpoint is used to add a movie to user's watchlist
      operationId: addMovieToWatchlist
      parameters:
        - $ref: '#/components/parameters/accountID'
        - $ref: '#/components/parameters/sessionID'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                media_id:
                  type: number
                  example: 11
                  description: The unique identifier for the media item.
                media_type:
                  type: string
                  example: movie
                  description: The type of media, such as movie or tv.
                watchlist:
                  type: boolean
                  example: true
                  description: >-
                    Indicates whether the media item should be added to
                    watchlist. Usually `true`.
            examples:
              Example Request:
                value:
                  media_id: 11
                  media_type: movie
                  watchlist: true
      responses:
        '201':
          description: Request successful
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '60'
            Date:
              schema:
                type: string
                example: Sun, 29 Dec 2024 15:09:54 GMT
            Server:
              schema:
                type: string
                example: openresty
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 db0227634f5a6631ffed23eb54e5313e.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: dQnXiznoOpxhsmqUGjdMq8yqyKuT2TRHUlPJBH0pREcMKEJQEUNf-g==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: LOS50-P2
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            cache-control:
              schema:
                type: string
                example: public, max-age=0
            etag:
              schema:
                type: string
                example: W/"4543905c5703940a323f39bb4fdcba82"
            vary:
              schema:
                type: string
                example: accept-encoding
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    example: 1
                    description: A numeric code indicating the status of the request
                  status_message:
                    type: string
                    example: Success.
                    description: A brief message describing the status of the request
                  success:
                    type: boolean
                    example: true
                    description: >-
                      The boolean value describing the state of the request.
                      Possible values - `true` or `false`
              examples:
                Response example:
                  value:
                    status_code: 1
                    status_message: Success.
                    success: true
components:
  parameters:
    accountID:
      in: path
      name: account_id
      required: true
      schema:
        type: integer
        example: 548
      description: >-
        A unique numeric identifier for a user account on TMDB. See how to get
        account id [here]().
    sessionID:
      in: query
      name: session_id
      schema:
        type: string
        example: 02a0e6d34dbd8325254e83c78918599076a62b0e
      description: >-
        A unique identifier for an authenticated user session. Usually used for
        [user authentication]()
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````